package com.kmall.api.dao;

import com.kmall.api.entity.OrderProcessRecordEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 订单流转过程记录表Dao
 *
 * @author huangyaqin
 * @email admin@qhdswl.com
 * @date 2018-10-25 17:48:30
 */
@Component
public interface ApiOrderProcessRecordMapper extends BaseDao<OrderProcessRecordEntity> {

    void updateBatch(List<OrderProcessRecordEntity> list);

    OrderProcessRecordEntity queryObjectByOrderSn(@Param("orderSn") String orderSn);
}
