package com.kmall.admin.dao;

import com.kmall.admin.entity.MerchEntity;
import com.kmall.manager.dao.BaseDao;

/**
 * Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-06 09:41:34
 */
public interface MerchDao
        extends BaseDao<MerchEntity> {

    /**
     * 根据商户编号查询商户信息
     *
     * @param merchSn 商户编号
     * @return 商户信息
     */
    MerchEntity findByMerchSn(String merchSn);
}
